/// <reference types="react" />
/** Note:
 * Lozenge does not support dark mode at the moment.
 * Hence, color values are the same.
 */
export declare const defaultBackgroundColor: {
    default: {
        light: string;
        dark: string;
    };
    inprogress: {
        light: string;
        dark: string;
    };
    moved: {
        light: string;
        dark: string;
    };
    new: {
        light: string;
        dark: string;
    };
    removed: {
        light: string;
        dark: string;
    };
    success: {
        light: string;
        dark: string;
    };
};
export declare const defaultTextColor: {
    default: {
        light: string;
        dark: string;
    };
    inprogress: {
        light: string;
        dark: string;
    };
    moved: {
        light: string;
        dark: string;
    };
    new: {
        light: string;
        dark: string;
    };
    removed: {
        light: string;
        dark: string;
    };
    success: {
        light: string;
        dark: string;
    };
};
export declare const boldBackgroundColor: {
    default: {
        light: string;
        dark: string;
    };
    inprogress: {
        light: string;
        dark: string;
    };
    moved: {
        light: string;
        dark: string;
    };
    new: {
        light: string;
        dark: string;
    };
    removed: {
        light: string;
        dark: string;
    };
    success: {
        light: string;
        dark: string;
    };
};
export declare const boldTextColor: {
    default: {
        light: string;
        dark: string;
    };
    inprogress: {
        light: string;
        dark: string;
    };
    moved: {
        light: string;
        dark: string;
    };
    new: {
        light: string;
        dark: string;
    };
    removed: {
        light: string;
        dark: string;
    };
    success: {
        light: string;
        dark: string;
    };
};
export declare type ThemeAppearance = 'default' | 'inprogress' | 'moved' | 'new' | 'removed' | 'success' | Record<string, any>;
export interface ThemeProps {
    appearance: ThemeAppearance | Record<string, any>;
    isBold: boolean;
    maxWidth: number | string;
}
export interface ThemeTokens {
    backgroundColor: string;
    maxWidth: number | string;
    textColor: string;
}
export declare const Theme: {
    Consumer: import("react").ComponentType<ThemeProps & {
        children: (tokens: ThemeTokens) => import("react").ReactNode;
    }>;
    Provider: import("react").ComponentType<{
        children?: import("react").ReactNode;
        value?: import("@atlaskit/theme/components").ThemeProp<ThemeTokens, ThemeProps> | undefined;
    }>;
};
